"use strict";

module.exports = function mapValue(value, mapping) {
	if (value == null) {
		return value;
	} else if (mapping[value] != null) {
		return mapping[value];
	} else {
		throw new Error(`Unrecognized value: ${value}`);
	}
};